跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Insights

Generate insights

POST /insights

Generates an insights report from the provided evaluation configuration.

標頭參數

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview
Repeatability-Request-ID string

Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.

Repeatability-First-Sent string

Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.

查詢參數

api-version string 必要

The API version to use for this operation.

要求本文

Complete evaluation configuration including data source, evaluators, and result settings

Content-Type: application/json
id string 必要

The unique identifier for the insights report.

metadata InsightsMetadata 必要

Metadata about the insights.

createdAt string 必要

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必要

Enum describing allowed operation states.

以下任何一項:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必要

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必要

The request of the insights report.

下列其中一項:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必要

The type of insights request.

EvaluationRunClusterInsight
evalId string 必要

Evaluation Id for the insights.

runIds string[] 必要

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必要

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必要

The type of request.

AgentClusterInsight
agentName string 必要

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必要

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必要

The type of request.

EvaluationComparison
evalId string 必要

Identifier for the evaluation.

baselineRunId string 必要

The baseline run ID for comparison.

treatmentRunIds string[] 必要

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

下列其中一項:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必要

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必要

Comparison results for each treatment run against the baseline.

method string 必要

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必要

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必要

Insights from the cluster analysis.

summary InsightSummary 必要

Summary of the error cluster analysis.

sampleCount integer 必要

Total number of samples analyzed.

uniqueSubclusterCount integer 必要

Total number of unique subcluster labels.

uniqueClusterCount integer 必要

Total number of unique clusters.

method string 必要

Method used for clustering.

usage ClusterTokenUsage 必要

Token usage for cluster analysis

inputTokenUsage integer 必要

input token usage

outputTokenUsage integer 必要

output token usage

totalTokenUsage integer 必要

total token usage

clusters InsightCluster[] 必要

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必要

X-axis coordinate.

y integer 必要

Y-axis coordinate.

size integer 必要

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必要

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必要

Insights from the cluster analysis.

summary InsightSummary 必要

Summary of the error cluster analysis.

sampleCount integer 必要

Total number of samples analyzed.

uniqueSubclusterCount integer 必要

Total number of unique subcluster labels.

uniqueClusterCount integer 必要

Total number of unique clusters.

method string 必要

Method used for clustering.

usage ClusterTokenUsage 必要

Token usage for cluster analysis

inputTokenUsage integer 必要

input token usage

outputTokenUsage integer 必要

output token usage

totalTokenUsage integer 必要

total token usage

clusters InsightCluster[] 必要

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必要

X-axis coordinate.

y integer 必要

Y-axis coordinate.

size integer 必要

Size of the chart element.

回覆

The request has succeeded and a new resource has been created as a result.

主體

Content-Type: application/json
id string 必要

The unique identifier for the insights report.

metadata InsightsMetadata 必要

Metadata about the insights.

createdAt string 必要

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必要

Enum describing allowed operation states.

以下任何一項:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必要

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必要

The request of the insights report.

下列其中一項:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必要

The type of insights request.

EvaluationRunClusterInsight
evalId string 必要

Evaluation Id for the insights.

runIds string[] 必要

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必要

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必要

The type of request.

AgentClusterInsight
agentName string 必要

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必要

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必要

The type of request.

EvaluationComparison
evalId string 必要

Identifier for the evaluation.

baselineRunId string 必要

The baseline run ID for comparison.

treatmentRunIds string[] 必要

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

下列其中一項:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必要

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必要

Comparison results for each treatment run against the baseline.

method string 必要

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必要

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必要

Insights from the cluster analysis.

summary InsightSummary 必要

Summary of the error cluster analysis.

sampleCount integer 必要

Total number of samples analyzed.

uniqueSubclusterCount integer 必要

Total number of unique subcluster labels.

uniqueClusterCount integer 必要

Total number of unique clusters.

method string 必要

Method used for clustering.

usage ClusterTokenUsage 必要

Token usage for cluster analysis

inputTokenUsage integer 必要

input token usage

outputTokenUsage integer 必要

output token usage

totalTokenUsage integer 必要

total token usage

clusters InsightCluster[] 必要

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必要

X-axis coordinate.

y integer 必要

Y-axis coordinate.

size integer 必要

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必要

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必要

Insights from the cluster analysis.

summary InsightSummary 必要

Summary of the error cluster analysis.

sampleCount integer 必要

Total number of samples analyzed.

uniqueSubclusterCount integer 必要

Total number of unique subcluster labels.

uniqueClusterCount integer 必要

Total number of unique clusters.

method string 必要

Method used for clustering.

usage ClusterTokenUsage 必要

Token usage for cluster analysis

inputTokenUsage integer 必要

input token usage

outputTokenUsage integer 必要

output token usage

totalTokenUsage integer 必要

total token usage

clusters InsightCluster[] 必要

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必要

X-axis coordinate.

y integer 必要

Y-axis coordinate.

size integer 必要

Size of the chart element.

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /insights HTTP/1.1

回應

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026